Package org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcQueryExecuteRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest
    - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcQueryExecuteRequest

All Implemented Interfaces:
  `ClientListenerRequest`, `JdbcRawBinarylizable`

    public class JdbcQueryExecuteRequest
    extends JdbcRequest

JDBC query execute request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest

`BATCH_EXEC, BINARY_TYPE_GET, BINARY_TYPE_NAME_GET, BINARY_TYPE_NAME_PUT, BINARY_TYPE_PUT, CACHE_PARTITIONS, META_COLUMNS, META_INDEXES, META_PARAMS, META_PRIMARY_KEYS, META_SCHEMAS, META_TABLES, QRY_EXEC, QRY_META, TX_END, TX_SET_PARAMS`

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
`JdbcQueryExecuteRequest​(JdbcStatementType stmtType, String schemaName, int pageSize, int maxRows, boolean autoCommit, boolean explicitTimeout, String sqlQry, Object[] args, int txId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object[]` `arguments()`
`JdbcStatementType` `expectedStatementType()`
`boolean` `explicitTimeout()`
`int` `maxRows()`
`int` `pageSize()`
`boolean` `partitionResponseRequest()`
`void` `partitionResponseRequest​(boolean partResReq)`
`void` `readBinary​(BinaryReaderExImpl reader, JdbcProtocolContext protoCtx)` Reads fields from provided reader.
`@Nullable String` `schemaName()`
`String` `sqlQuery()`
`String` `toString()`
`int` `txId()`
`void` `writeBinary​(BinaryWriterExImpl writer, JdbcProtocolContext protoCtx)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest

`readRequest, readRequestId, readType, requestId, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`beforeStartupRequest`

### Constructor Detail

#### JdbcQueryExecuteRequest

    public JdbcQueryExecuteRequest​(JdbcStatementType stmtType,
                                   String schemaName,
                                   int pageSize,
                                   int maxRows,
                                   boolean autoCommit,
                                   boolean explicitTimeout,
                                   String sqlQry,
                                   Object[] args,
                                   int txId)

Parameters:
  `stmtType` - Expected statement type.
  `schemaName` - Cache name.
  `pageSize` - Fetch size.
  `maxRows` - Max rows.
  `autoCommit` - Connection auto commit flag state.
  `sqlQry` - SQL query.
  `args` - Arguments list.
  `txId` - Transaction id.

### Method Detail

#### pageSize

    public int pageSize()

Returns:
  Fetch size.

#### maxRows

    public int maxRows()

Returns:
  Max rows.

#### sqlQuery

    public String sqlQuery()

Returns:
  Sql query.

#### arguments

    public Object[] arguments()

Returns:
  Sql query arguments.

#### schemaName

    @Nullable
    public @Nullable String schemaName()

Returns:
  Schema name.

#### expectedStatementType

    public JdbcStatementType expectedStatementType()

Returns:
  Expected statement type.

#### writeBinary

    public void writeBinary​(BinaryWriterExImpl writer,
                            JdbcProtocolContext protoCtx)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `writeBinary` in class `JdbcRequest`
Parameters:
  `writer` - Binary object writer.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary​(BinaryReaderExImpl reader,
                           JdbcProtocolContext protoCtx)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `readBinary` in class `JdbcRequest`
Parameters:
  `reader` - Binary object reader.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### partitionResponseRequest

    public boolean partitionResponseRequest()

Returns:
  Partition response request.

#### partitionResponseRequest

    public void partitionResponseRequest​(boolean partResReq)

Parameters:
  `partResReq` - New partition response request.

#### explicitTimeout

    public boolean explicitTimeout()

Returns:
  `true` if the query timeout is set explicitly by `Statement.setQueryTimeout(int)`. Otherwise returns `false`.

#### txId

    public int txId()

Returns:
  Transaction id.

#### toString

    public String toString()

Overrides:
  `toString` in class `JdbcRequest`